import { Component, OnInit } from '@angular/core';
import { Title } from '@angular/platform-browser';

import { UserService } from "src/app/core/services";
import { SpinnerComponent } from 'src/app/components';
@Component({
    selector: 'huapp-root',
    templateUrl: './app.component.html',
    styleUrls: ['./app.component.scss']
})
export class AppComponent {
    title = 'Head Up';

    constructor(private userService: UserService, private titleService: Title) { }

    ngOnInit() {
        this.userService.populate();
        this.titleService.setTitle(this.title);
    }
}
